--- a/src/mumble/Markdown.cpp
+++ b/src/mumble/Markdown.cpp
@@ -390,14 +390,9 @@
 		}
 	}
 
-	// Replace linebreaks afterwards in order to not mess up the RegEx used by the
-	// different functions.
-	static const QRegularExpression s_doubleLineBreakRegEx(QLatin1String("(\r\n|\n|\r)(\r\n|\n|\r)"));
-	htmlString.replace(s_doubleLineBreakRegEx, QLatin1String("<br/>"));
-
 	// Remove single newlines
 	static const QRegularExpression s_singleLineBreak("\r\n|\n|\r");
-	htmlString.replace(s_singleLineBreak, "");
+	htmlString.replace(s_singleLineBreak, QLatin1String("<br/>"));
 
 	// Restore linebreaks in <pre> blocks
 	htmlString.replace(regularLineBreakPlaceholder, QLatin1String("\n"));
